button,
input[type="button"],
input[type="reset"],
input[type="submit"] {
  appearance: none;
  -webkit-font-smoothing: antialiased;
  background-color: var(--color-action);
  border: 0;
  border-radius: var(--border-radius);
  color: var(--color-white);
  cursor: pointer;
  display: inline-block;
  font-family: var(--font-body);
  font-size: var(--font-size-base);
  font-weight: 600;
  line-height: 1;
  padding: 0.75em 1em;
  text-decoration: none;
  user-select: none;
  vertical-align: middle;
  white-space: nowrap;
}

button:hover,
button:focus,
input[type="button"]:hover,
input[type="button"]:focus,
input[type="reset"]:hover,
input[type="reset"]:focus,
input[type="submit"]:hover,
input[type="submit"]:focus {
  background-color: var(--color-action-button-hover);
  color: var(--color-white);
}

button:disabled,
input[type="button"]:disabled,
input[type="reset"]:disabled,
input[type="submit"]:disabled {
  cursor: not-allowed;
  opacity: 0.5;
}
